package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * @Author Joburgess
 * @Date 2021/4/15 0015
 */
public class TeacherIncomeReviewDto {

    @ApiModelProperty(value = "总收入")
    private BigDecimal totalIncome = new BigDecimal(BigInteger.ZERO, 2);

    @ApiModelProperty(value = "本月预计收入")
    private BigDecimal thisMonthExpectIncome = new BigDecimal(BigInteger.ZERO, 2);

    @ApiModelProperty(value = "本月实际课耗收入")
    private BigDecimal thisMonthActualIncome = new BigDecimal(BigInteger.ZERO, 2);

    @ApiModelProperty(value = "大雅课酬")
    private BigDecimal dayaIncome = new BigDecimal(BigInteger.ZERO, 2);

    @ApiModelProperty(value = "其他课酬")
    private BigDecimal otherIncome = new BigDecimal("0");

    private int complaintsDaysRange = 1;

    private Double attendanceRange;

    private Double vipAttendanceRange;

    public Double getAttendanceRange() {
        return attendanceRange;
    }

    public void setAttendanceRange(Double attendanceRange) {
        this.attendanceRange = attendanceRange;
    }

    public Double getVipAttendanceRange() {
        return vipAttendanceRange;
    }

    public void setVipAttendanceRange(Double vipAttendanceRange) {
        this.vipAttendanceRange = vipAttendanceRange;
    }

    public int getComplaintsDaysRange() {
        return complaintsDaysRange;
    }

    public void setComplaintsDaysRange(int complaintsDaysRange) {
        this.complaintsDaysRange = complaintsDaysRange;
    }

    public BigDecimal getTotalIncome() {
        return totalIncome;
    }

    public void setTotalIncome(BigDecimal totalIncome) {
        this.totalIncome = totalIncome.setScale(2);
    }

    public BigDecimal getThisMonthExpectIncome() {
        return thisMonthExpectIncome;
    }

    public void setThisMonthExpectIncome(BigDecimal thisMonthExpectIncome) {
        this.thisMonthExpectIncome = thisMonthExpectIncome.setScale(2);
    }

    public BigDecimal getThisMonthActualIncome() {
        return thisMonthActualIncome;
    }

    public void setThisMonthActualIncome(BigDecimal thisMonthActualIncome) {
        this.thisMonthActualIncome = thisMonthActualIncome.setScale(2);
    }

    public BigDecimal getDayaIncome() {
        return dayaIncome;
    }

    public void setDayaIncome(BigDecimal dayaIncome) {
        this.dayaIncome = dayaIncome.setScale(2);
    }

    public BigDecimal getOtherIncome() {
        return otherIncome;
    }

    public void setOtherIncome(BigDecimal otherIncome) {
        this.otherIncome = otherIncome.setScale(2);
    }
}
